# Example of a config file
# Should be a dictionary which includes "class_config" and, if wanted, "domains"

# "class_config" should contain the following parameters:
class_config:
  n_classes:
    - 2
  n_features: 32
  n_informative:
    - - 0
      - 1
      - 2
      - 3
      - 4
      - 5
      - 6
      - 7
  n_redundant: 8
  n_samples: 13000

# domains contains information about the bias domains which are artificially added
# to the dataset
domains:
  - depends_on: null
    features:
      - - 0
        - 1
      - - 0
        - 1
        - 2
        - 10
        - 11
        - 12
        - 20
        - 21
      - - 0
        - 1
        - 2
        - 10
        - 11
        - 12
        - 20
        - 21
      - - 0
        - 1
        - 2
        - 10
        - 11
        - 12
        - 20
        - 21
      - - 3
        - 4
        - 30
        - 31
    func: affine
    labels:
      - 0
      - 1
      - 2
      - 3
      - 4
    name: Machine
    ratios:
      - 5
      - 5
      - 1
      - 1
      - 1
    scales:
      - 1
      - 0.5
      - 0.75
      - 1.5
      - 0.5
    shifts:
      - 0
      - 2
      - 1
      - 4
      - 2
